---
title: llarp::service::RouterLookupJob

---

# llarp::service::RouterLookupJob





## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[RouterLookupJob](Classes/structllarp_1_1service_1_1RouterLookupJob.md#function-routerlookupjob)**([Endpoint](Classes/structllarp_1_1service_1_1Endpoint.md) * p, RouterLookupHandler h) |
| bool | **[IsExpired](Classes/structllarp_1_1service_1_1RouterLookupJob.md#function-isexpired)**(llarp_time_t now) const |
| void | **[InformResult](Classes/structllarp_1_1service_1_1RouterLookupJob.md#function-informresult)**(std::vector< [RouterContact](Classes/structllarp_1_1RouterContact.md) > result) |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| RouterLookupHandler | **[handler](Classes/structllarp_1_1service_1_1RouterLookupJob.md#variable-handler)**  |
| uint64_t | **[txid](Classes/structllarp_1_1service_1_1RouterLookupJob.md#variable-txid)**  |
| llarp_time_t | **[started](Classes/structllarp_1_1service_1_1RouterLookupJob.md#variable-started)**  |

## Public Functions Documentation

### function RouterLookupJob

```cpp
RouterLookupJob(
    Endpoint * p,
    RouterLookupHandler h
)
```


### function IsExpired

```cpp
inline bool IsExpired(
    llarp_time_t now
) const
```


### function InformResult

```cpp
inline void InformResult(
    std::vector< RouterContact > result
)
```


## Public Attributes Documentation

### variable handler

```cpp
RouterLookupHandler handler;
```


### variable txid

```cpp
uint64_t txid;
```


### variable started

```cpp
llarp_time_t started;
```


-------------------------------

Updated on 2024-11-10 at 05:10:02 +0000